Package com.sas.services.information.search

# Class SearchCriteriaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.search.SearchCriteriaException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class SearchCriteriaException extends ServiceException

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `_messages`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchCriteriaException()`
  `SearchCriteriaException(String message)`
  `SearchCriteriaException(List<String> errors)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `List<String>`
  `getMessageList()`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### _messages

    protected List<String> _messages

- ## Constructor Details

  - ### SearchCriteriaException

    public SearchCriteriaException()

  - ### SearchCriteriaException

    public SearchCriteriaException(String message)

  - ### SearchCriteriaException

    public SearchCriteriaException(List<String> errors)
    Parameters:
      `errors` - A list of criteria error messages.

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getMessageList

    public List<String> getMessageList()